/* SoriBada - compatible client with windows soribada
 * Copyright (C) 2002 Choe Hwanjin
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#include <gtk/gtk.h>

GtkWidget *create_window (void);
GtkWidget *create_login_window (void);
GtkWidget *alert(const gchar *fmt, ...);
GtkWidget* create_preference_window (void);
GtkWidget* create_download_as_dialog (const gchar *filename);
GtkWidget* create_select_download_dir_dialog (gpointer data);
GtkWidget* create_select_mp3player_dialog (gpointer data);
GtkWidget* create_select_local_mp3_dir_dialog (gpointer data);
GtkWidget* create_file_add_dialog (const gchar *dir);
GtkWidget* create_about_window (void);
GtkWidget* create_file_info_window (void *data);
GtkWidget* create_message_window (void *data);
GtkWidget* create_send_message_dialog(void *data);
GtkWidget* create_select_sound_dialog (gpointer data);

void gtk_progress_draw_text(GtkProgress *progress);
